import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  Creates an AWS Fargate profile for your Amazon EKS cluster. You must have at least one Fargate profile in a cluster to be able to run pods on Fargate.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-eks-fargateprofile.html">the AWS Docs</a>
*/
export function fargateProfile(fargateProfileProps) {
    return new AwsResource('AWS::EKS::FargateProfile', fargateProfileProps, { Arn: 'Arn' });
}
